__version__ = '1.1.0'
__author__ = "pylakey <pylakey@protonmail.com>"

from . import encoders
from . import errors
from . import responses
from . import types
from .client import Client
from .errors import HTTPBadGateway
from .errors import HTTPBadRequest
from .errors import HTTPConflict
from .errors import HTTPExpectationFailed
from .errors import HTTPFailedDependency
from .errors import HTTPForbidden
from .errors import HTTPFound
from .errors import HTTPGatewayTimeout
from .errors import HTTPGone
from .errors import HTTPHttpServerVersionNotSupported
from .errors import HTTPImATeapot
from .errors import HTTPInsufficientStorage
from .errors import HTTPInternalServerError
from .errors import HTTPLengthRequired
from .errors import HTTPLocked
from .errors import HTTPLoopDetected
from .errors import HTTPMethodNotAllowed
from .errors import HTTPMisdirectedRequest
from .errors import HTTPMovedPermanently
from .errors import HTTPMultipleChoices
from .errors import HTTPNetworkAuthenticationRequired
from .errors import HTTPNotAcceptable
from .errors import HTTPNotExtended
from .errors import HTTPNotFound
from .errors import HTTPNotImplemented
from .errors import HTTPNotModified
from .errors import HTTPPaymentRequired
from .errors import HTTPPermanentRedirect
from .errors import HTTPPreconditionFailed
from .errors import HTTPPreconditionRequired
from .errors import HTTPProxyAuthenticationRequired
from .errors import HTTPRequestEntityTooLarge
from .errors import HTTPRequestHeaderFieldsTooLarge
from .errors import HTTPRequestTimeout
from .errors import HTTPRequestUriTooLong
from .errors import HTTPRequestedRangeNotSatisfiable
from .errors import HTTPSeeOther
from .errors import HTTPServiceUnavailable
from .errors import HTTPTemporaryRedirect
from .errors import HTTPTooEarly
from .errors import HTTPTooManyRequests
from .errors import HTTPUnauthorized
from .errors import HTTPUnavailableForLegalReasons
from .errors import HTTPUnprocessableEntity
from .errors import HTTPUnsupportedMediaType
from .errors import HTTPUpgradeRequired
from .errors import HTTPUseProxy
from .errors import HTTPVariantAlsoNegotiates
from .responses import JSONResponseClass
from .responses import NoneResponseClass
from .responses import PlainTextResponseClass
from .responses import PydanticModelResponseClass
from .responses import RawResponseClass
from .responses import ResponseClass
from .responses import StreamResponseClass
from .types import Body
from .types import Cookies
from .types import EmptyResponse
from .types import ErrorResponseModels
from .types import Headers
from .types import HttpEncodableMapping
from .types import Params
from .types import StrIntMapping

__all__ = [
    'Client',
    'encoders',
    'types',
    'responses',
    'errors',

    # Types
    'EmptyResponse',
    'StrIntMapping',
    'HttpEncodableMapping',
    'Params',
    'Cookies',
    'Headers',
    'Body',
    'ErrorResponseModels',

    # Errors
    'HTTPBadGateway',
    'HTTPBadRequest',
    'HTTPConflict',
    'HTTPExpectationFailed',
    'HTTPFailedDependency',
    'HTTPForbidden',
    'HTTPFound',
    'HTTPGatewayTimeout',
    'HTTPGone',
    'HTTPHttpServerVersionNotSupported',
    'HTTPImATeapot',
    'HTTPInsufficientStorage',
    'HTTPInternalServerError',
    'HTTPLengthRequired',
    'HTTPLocked',
    'HTTPLoopDetected',
    'HTTPMethodNotAllowed',
    'HTTPMisdirectedRequest',
    'HTTPMovedPermanently',
    'HTTPMultipleChoices',
    'HTTPNetworkAuthenticationRequired',
    'HTTPNotAcceptable',
    'HTTPNotExtended',
    'HTTPNotFound',
    'HTTPNotImplemented',
    'HTTPNotModified',
    'HTTPPaymentRequired',
    'HTTPPermanentRedirect',
    'HTTPPreconditionFailed',
    'HTTPPreconditionRequired',
    'HTTPProxyAuthenticationRequired',
    'HTTPRequestEntityTooLarge',
    'HTTPRequestHeaderFieldsTooLarge',
    'HTTPRequestTimeout',
    'HTTPRequestUriTooLong',
    'HTTPRequestedRangeNotSatisfiable',
    'HTTPSeeOther',
    'HTTPServiceUnavailable',
    'HTTPTemporaryRedirect',
    'HTTPTooEarly',
    'HTTPTooManyRequests',
    'HTTPUnauthorized',
    'HTTPUnavailableForLegalReasons',
    'HTTPUnprocessableEntity',
    'HTTPUnsupportedMediaType',
    'HTTPUpgradeRequired',
    'HTTPUseProxy',
    'HTTPVariantAlsoNegotiates',

    # Responses
    'ResponseClass',
    'RawResponseClass',
    'NoneResponseClass',
    'PlainTextResponseClass',
    'JSONResponseClass',
    'PydanticModelResponseClass',
    'StreamResponseClass',
]
